LibreOffice: XExtendedTransliteration Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XExtendedTransliteration Interface Referencepublished

This interface provides character conversions like case folding or Hiragana to Katakana. More...

`import"XExtendedTransliteration.idl";`

Inheritance diagram for XExtendedTransliteration:

## Public Member Functions
string | transliterateString2String ([in] string aStr, [in] long nStartPos, [in] long nCount)
| Transliterate a substring. More...
string | transliterateChar2String ([in] char cChar)
| Transliterate a character to a string. More...
char | transliterateChar2Char ([in] char cChar) raises ( MultipleCharsOutputException )
| Transliterate a character to a character. More...
Public Member Functions inherited from XTransliteration
string | getName ()
| Unique ASCII name to identify a module. More...
short | getType ()
| Return the attribute(s) associated with this transliteration object, as defined in TransliterationType. More...
void | loadModule ([in] TransliterationModules eModType, [in] ::com::sun::star::lang::Locale aLocale)
| Load instance of predefined module - old style method. More...
void | loadModuleNew ([in] sequence< TransliterationModulesNew > aModType, [in] ::com::sun::star::lang::Locale aLocale)
| Load a sequence of instances of predefined modules - supersedes method XTransliteration::loadModule(). More...
void | loadModuleByImplName ([in] string aImplName, [in] ::com::sun::star::lang::Locale aLocale)
| Load instance of UNO registered module. More...
void | loadModulesByImplNames ([in] sequence< string > aImplNameList, [in] ::com::sun::star::lang::Locale aLocale)
| Load a sequence of instances of transliteration modules. More...
sequence< string > | getAvailableModules ([in] ::com::sun::star::lang::Locale aLocale, [in] short nType)
| List the available transliteration modules for a given locale. More...
string | transliterate ([in] string aInStr, [in] long nStartPos, [in] long nCount, [out] sequence< long > rOffset)
| Transliterate a substring. More...
string | folding ([in] string aInStr, [in] long nStartPos, [in] long nCount, [out] sequence< long > rOffset)
boolean | equals ([in] string aStr1, [in] long nPos1, [in] long nCount1, [out] long rMatch1, [in] string aStr2, [in] long nPos2, [in] long nCount2, [out] long rMatch2)
| Match two substrings and find if they are equivalent as per this transliteration. More...
sequence< string > | transliterateRange ([in] string aStr1, [in] string aStr2)
| Transliterate one set of characters to another. More...
long | compareSubstring ([in] string aStr1, [in] long nOff1, [in] long nLen1, [in] string aStr2, [in] long nOff2, [in] long nLen2)
| Compare 2 substrings as per this transliteration. More...
long | compareString ([in] string aStr1, [in] string aStr2)
| Compare 2 strings as per this transliteration. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides character conversions like case folding or Hiragana to Katakana.

It is derived from com::sun::star::i18n::XTransliteration and provides additional functionality for character to character and string to string without offset parameter transliteration. These should be used for performance reason if their full-blown counterparts aren't needed.

Since
  OOo 1.1.2

## Member Function Documentation

## § transliterateChar2Char()

char transliterateChar2Char | ( | [in] char | cChar | ) |
raises | ( | MultipleCharsOutputException
| ) |  |

Transliterate a character to a character.

If the output contains multiple characters, for example when transliterating German sharp "s" (the one that looks like a Greek Beta) to upper case "SS", MultipleCharsOutputException will be thrown, the caller must catch the exception and then call XTransliteration::transliterateChar2String() to obtain the correct result.

Parameters

  cChar | The input character.

## § transliterateChar2String()

string transliterateChar2String | ( | [in] char | cChar | ) |

Transliterate a character to a string.

Parameters

  cChar | The input character.

## § transliterateString2String()

string transliterateString2String | ( | [in] string | aStr,
|  | [in] long | nStartPos,
|  | [in] long | nCount
| ) |  |

Transliterate a substring.

The functionality is the same as com::sun::star::i18n::XTransliteration::transliterate() but omits the offset parameter to improve performance.

Parameters

  aStr | The input string.
  nStartPos | Start position within aStr from where transliteration starts.
  nCount | Number of code points to be transliterated.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XExtendedTransliteration.idl